Package org.eclipse.cdt.utils.cdtvariables

# Interface IVariableSubstitutor

All Known Implementing Classes:
  `SupplierBasedCdtVariableSubstitutor`

public interface IVariableSubstitutor
This interface represents the logic of how macro references should be resolved The implementer of this interface is passed to the MacroResolver and when the the resolve* methods of this interface are called by the MacroResolver each time the macro reference is encountered in the string being resolved to resolve the macro encountered macro reference

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveToString(String macroName)`
called to resolve to String the macro reference of the specified name
`String[]`
`resolveToStringList(String macroName)`
called to resolve to String-List the macro reference of the specified name

## Method Details

### resolveToString

String resolveToString(String macroName) throws CdtVariableException
called to resolve to String the macro reference of the specified name

Parameters:
  `macroName` - the macro name
Returns:
  String
Throws:
  `CdtVariableException`

### resolveToStringList

String[] resolveToStringList(String macroName) throws CdtVariableException
called to resolve to String-List the macro reference of the specified name

Parameters:
  `macroName` - the macro name
Returns:
  String[]
Throws:
  `CdtVariableException`